// @ts-ignore
/* eslint-disable */
import request from '@/request/http'

/** 修改 修改UpdateVO中不为空的字段 PUT /fAiWrite */
export async function update13(body: API.FAiWriteUpdateVO, options?: { [key: string]: any }) {
  return request<API.RFAiWrite>(`/finyx/fAiWrite`, {
    method: 'PUT',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 新增 POST /fAiWrite */
export async function save13(body: API.FAiWriteSaveVO, options?: { [key: string]: any }) {
  return request<API.RFAiWrite>(`/finyx/fAiWrite`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 删除 DELETE /fAiWrite */
export async function delete13(body: number[], options?: { [key: string]: any }) {
  return request<API.RBoolean>(`/finyx/fAiWrite`, {
    method: 'DELETE',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 单体查询 单体查询 GET /fAiWrite/${param0} */
export async function get13(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.get13Params,
  options?: { [key: string]: any }
) {
  const { id: param0, ...queryParams } = params
  return request<API.RFAiWriteResultVO>(`/finyx/fAiWrite/${param0}`, {
    method: 'GET',
    params: { ...queryParams },
    ...(options || {})
  })
}

/** 复制 POST /fAiWrite/copy */
export async function copy13(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.copy13Params,
  options?: { [key: string]: any }
) {
  return request<API.RFAiWrite>(`/finyx/fAiWrite/copy`, {
    method: 'POST',
    params: {
      ...params
    },
    ...(options || {})
  })
}

/** 查询单体详情 GET /fAiWrite/detail */
export async function getDetail13(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.getDetail13Params,
  options?: { [key: string]: any }
) {
  return request<API.RFAiWriteResultVO>(`/finyx/fAiWrite/detail`, {
    method: 'GET',
    params: {
      ...params
    },
    ...(options || {})
  })
}

/** 根据Id批量查询 根据Id批量查询 POST /fAiWrite/findByIds */
export async function findByIds13(body: number[], options?: { [key: string]: any }) {
  return request<API.RListFAiWriteResultVO>(`/finyx/fAiWrite/findByIds`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 分页列表查询 POST /fAiWrite/page */
export async function page13(
  body: API.PageParamsFAiWritePageQuery,
  options?: { [key: string]: any }
) {
  return request<API.RIPageFAiWriteResultVO>(`/finyx/fAiWrite/page`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 批量查询 批量查询 POST /fAiWrite/query */
export async function query13(body: API.FAiWritePageQuery, options?: { [key: string]: any }) {
  return request<API.RListFAiWriteResultVO>(`/finyx/fAiWrite/query`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}
